Page MenuHomePhabricator

Include scap3 architectural overview
ClosedPublic

Authored by dduvall on Oct 29 2015, 11:36 PM.

Details

Maniphest Tasks
T117131: Include architectural overview in scap3 documentation
Reviewers
thcipriani
mobrovac
Group Reviewers
Release-Engineering-Team
Commits
rMSCAc7fc9548c9ac: Include scap3 architectural overview
Patch without arc
git checkout -b D31 && curl -L https://phabricator.wikimedia.org/D31?download=true | git apply
Summary

Added descriptions and diagrams to better explain the overall
architecture Scap 3.

Test Plan

Run tox -e doc

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dduvall retitled this revision from to WIP Include scap3 architectural overview.
dduvall updated this object.
dduvall edited the test plan for this revision. (Show Details)
dduvall added a reviewer: mobrovac.

Could you attach the generated image (here or to the task) ?

thcipriani added a reviewer: thcipriani.
thcipriani added a subscriber: thcipriani.

Awesome, really cool.

Here is the generated output:

Also, FWIW, I had to install libjpeg-dev to get tox to play nicely here. I kept getting the error ValueError: --enable-jpeg requested but jpeg not found, aborting. previous to that install.

This revision is now accepted and ready to land.Oct 30 2015, 4:50 PM
mobrovac edited edge metadata.

Very very nice @dduvall !

This revision now requires review to proceed.Nov 4 2015, 6:46 PM
mobrovac edited edge metadata.
This revision is now accepted and ready to land.Nov 4 2015, 7:08 PM
dduvall retitled this revision from WIP Include scap3 architectural overview to Include scap3 architectural overview.Nov 4 2015, 9:06 PM
dduvall edited edge metadata.
This revision was automatically updated to reflect the committed changes.